Subject: responsing b's question

From: SHI-ZHANG SHANG <[email-masked]>
Date: Mon, 31 Jan 94 14:56:24 CST

Dear friend: I received your letters and questions two times. Under my
understanding, I think your lad. as J-1 is difficult to get the waiving of 2
years until the working unit or the Ambassy of China gives you an agreement
letter because the USA and China have the agreement paper. But I do not know
what is the future if this your lad still stay here with you after the
expiring date. Your another lad, daughter, as J-2 is not problem in staying
and waiting here for her visa number withot getting the answer from INS
because my wife as a lad is the same treatment as your lad's. So I think your
 daughter just needs to wait for some time. If she is under 21 old years may
be she can get the visa quickly or if she over 21 may be get it slowly. That
is all and please do not worry about her application. Finally, if your first
lad as J-1 can change and get the H-1 status under the boss and INS's
agreement I think may be the lad does not need to leave but that is difficult
 to finish. If you can, you can try. Thanks.